<h2>Instalasi</h2>
<h3>Instalasi di Windows</h3>
<p>Silahkan download <strong><a href="https://www.apachefriends.org/index.html">XAMPP</a></strong> </p>
<p>Pilih XAMPP untuk versi Windows, pilih XAMPP  7.1.9 kemudian download paket tersebut. Setelah itu jalankan installation wizard seperti biasanya kita menginstall program di Windows.</p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/download_new.png" alt="" /></p>
<p>Dalam tutorial ini saya pakai XAMPP 32 bit. Silahkan klik next untuk melanjutkan installation wizard.  XAMPP meminta kita memilih mana saja program yang ingin di install. Pilih saja yang akan kita perlukan di mode development ini.</p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/next1.png" alt="" /></p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/next2.png" alt="" /></p>
<p>Selanjutnya tentukan dimana binary XAMPP akan disimpan bisa di Drive E atau C paling umum yaitu C karena secara default akan langsung di direct menuju Drive C.
Dengan nama folder &quot;Server&quot;. Kita akan menjumpai jendela tawaran untuk mempelajari lebih lanjut tentang Bitnami.</p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/next3.png" alt="" /></p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/next4.png" alt="" /></p>
<p>Silahkan checklist jika ingin mempelajari lebih lanjut.
Bitnami adalah pustaka dari aplikasi client server yang populer seperti misalnya CMS Wordpress atau Drupal, dengan penawaran kemudahan dalam installasi hanya dengan satu klik Ok, kita sudah siap untuk meng-install XAMPP di komputer lokal. Silahkan lanjutkan, klik tombol next,tidak ada sama sekali perintah berbasis CLI dan konfigurasi yang rumit, itulah sebabnya mengapa XAMPP sangat populer ditambah lagi tersedia dalam berbagai platform.</p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/next5.png" alt="" /></p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/next6.png" alt="" /></p>
<p>Menunjukan proses instalasi, tunggu saja beberapa menit, jendela di atas menggambarkan proses instalasi selesai.</p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/finish.png" alt="" /></p>
<p>XAMPP juga menawarkan apakah kita ingin menjalankan control panel, XAMPP control panel adalah suatu panel berbasis GUI yang berguna untuk menjalankan server, memberhentikan server, menyalakan program database, mengatur port program, dan sebagainya. Secara default installer akan menawarkan kita untuk langsung menjalankan control panel, silahkan lanjutkan, klik finish. </p>
<blockquote>
<p>Secara default XAMPP akan menjalankan web server di port 80. Nah dalam hal ini jika kita lihat saya menjalankannya di port 8080 dikarenakan port 80 saya dipakai untuk web server lain. Bagi teman-teman yang belum tahu istilah port silahkan baca artikel di tautan ini <a href="https://id.wikipedia.org/wiki/Port_(Jaringan_Komputer)">https://id.wikipedia.org/wiki/Port_(Jaringan_Komputer)</a>. Jika saya jelaskan disini akan terlalu terdistraksi karena tujuan kita hanya ingin mencoba PHP.</p>
</blockquote>
<p>Selanjutnya kita buka web browser kemudian, akses IP <a href="http://127.0.0.1">http://127.0.0.1</a> atau akses <a href="http://localhost">http://localhost</a>.</p>
<h2>INSTALASI DI LINUX</h2>
<p><strong>Step 1: Download <a href="https://www.apachefriends.org/index.html">XAMPP</a> </strong></p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/download_new.png" alt="" /></p>
<p>32 bit</p>
<p>wget <a href="https://www.apachefriends.org/xampp-files/5.6.3/xampp-linux-5.6.3-0-installer.run">https://www.apachefriends.org/xampp-files/5.6.3/xampp-linux-5.6.3-0-installer.run</a></p>
<p>64 bit</p>
<p><a href="https://www.apachefriends.org/xampp-files/5.6.3/xampp-linux-x64-5.6.3-0-installer.run">https://www.apachefriends.org/xampp-files/5.6.3/xampp-linux-x64-5.6.3-0-installer.run</a></p>
<p>Atau Kamu ingin memilih sendiri versi XAMPP yang mau diinstal, bisa kunjungi situs resminya. </p>
<p><strong>Step 2: Setelah itu, ubah permision file installer mejadi executable dan install aplikasinya menggunakan perintah berikut.</strong></p>
<p>Ubah permission:</p>
<pre><code>sudo chmod +x xampp-linux-5.6.3-0-installer.run

Install aplikasi:

sudo ./xampp-linux-5.6.3-0-installer.run</code></pre>
<p>Setelah menjalankan perintah di atas, akan muncul jendela wizard seperti gambar di bawah ini.
Klik next dan ikuti instruksi selanjutnya (sama seperti menginstall di windows) sampai selesai.</p>
<p>Akses halaman XAMPP dibrowser menggunakan link <strong><a href="http://localhost/xamp/index.php">http://localhost/xamp/index.php</a></strong></p>
<p>Untuk menghentikan XAMPP Service:</p>
<pre><code>sudo /opt/lampp/lampp stop

Untuk menjalankan Xampp service:

sudo /opt/lampp/lampp start</code></pre>
<p>Untuk menjalankan XAMPP dalam versi GUI, bisa menggunakan printah berikut.</p>
<pre><code>cd /opt/lampp

./manager-linux.run</code></pre>
<p>Melalui aplikasi versi GUI, Kamu lebih mudah untuk menjalankan service Apache, dan MySql.</p>
<p>Konfigurasi Tambahahan, jika Kamu ingin XAMPP  ini berjalan secara otomatis setelah komputer booting, tambah beberapa konfigurasi berikut pada file rc.local berikut caranya:</p>
<p>Membuka file rc.local</p>
<pre><code>sudo nano /etc/rc.local</code></pre>
<p>Edit dan tambahkan scriptberikut</p>
<pre><code>…

#

# By default this script does nothing.</code></pre>
<pre><code>sudo /opt/lampp/lampp start

exit 0</code></pre>
<p>Kita hanya menambahkan satu baris script di atas “exit 0” atau sebelum bari akhir, dengan begini, XAMPP akan otomatis berjalan setelah komputer selesai booting.</p>
<p>Demikian beberapa langkah sederhana yang bisa dilakukan untuk menginstall XAMPP di Linux Ubuntu. </p>
<h2>INSTALASI DI MAC OS</h2>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/download_new.png" alt="" /></p>
<ol>
<li>Yaitu download dulu <strong><a href="https://www.apachefriends.org/index.html">XAMPP</a></strong> khusus buat Mac OS</li>
<li>Kemudian Instalasi / tahap Install</li>
</ol>
<p>Setelah Kamu selesai men-Download XAMPP For Mac langsung saja kita Buka file yang sudah kita download tadi dan drag n drop Folder XAMPP ke direktori Applications, sekarang XAMPP sudah terinstall di MAC OS kita dengan direktori /Applications/XAMPP</p>
<ol start="3">
<li>Langkah terakhir</li>
</ol>
<p>Menjalankan XAMPP yang sudah terinstall tadi silahkan langsung saja buka aplikasi Xamppnya dengan shortcut Command+Space lalu ketikkan xampp</p>
<p>Klik Tombol Start pada bagian APache dan MySQL-nya dan XAMPP webserver sudah berjalan di Mac OS kamu.</p>